package com.gmei.up.utils

import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import com.sksamuel.elastic4s.http.{ ElasticClient, ElasticProperties, Response }
import com.sksamuel.elastic4s.http.search.SearchResponse
import com.sksamuel.elastic4s.http.ElasticDsl._

object ES {
  // TODO read config from file
  val host = "172.16.52.33"
  val port = 9200
  val username = "elastic"
  val password = "gengmei!@#"
  val diaryIndex = "gm-dbmw-diary-read"

  val nodes = ElasticProperties(
    "http://172.16.52.33:9200,http://172.16.52.19:9200,http://172.16.52.27:9200,http://172.16.52.34:9200,http://172.16.52.48:9200"
  )
  val client = ElasticClient(nodes)

  def test() {
    val json =
      """
      |{
      |  "query" : {
      |    "match" : {"tags_v3" : ["光子嫩肤", "水光针"]}
      |  }
      |}
      |""".stripMargin

    val resp = client.execute {
      search("gm-dbmw-diary-read").source(json)
    }.await

    println(resp)
    resp
  }
}
